curl --request POST \
--url https://dev.flextell.ai/api/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"password": "<string>",
"password_confirmation": "<string>",
"phone": "<string>",
"title": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_surname": "<string>",
"emergency_contact_phone_number": "<string>",
"blood_group": "<string>",
"language": [
"<string>"
],
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"role_ids": [
123
]
}
'{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_surname": "<string>",
"emergency_contact_phone_number": "<string>",
"blood_group": "<string>",
"language": [
"<unknown>"
],
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"last_login_at": "2023-11-07T05:31:56Z",
"last_login_ip": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"roles": [
{
"id": 123,
"name": "<string>"
}
]
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
User's name.
255User's email address.
255User's password.
8User's password confirmation. Must match the password field.
8User's phone number.
20User's title.
255User's emergency contact name.
255User's emergency contact surname.
255User's emergency contact phone number.
20User's blood group.
10User's language preferences.
User's avatar URL.
1000User's active status.
User's bio.
1000Role identifiers to assign to user.
curl --request POST \
--url https://dev.flextell.ai/api/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"password": "<string>",
"password_confirmation": "<string>",
"phone": "<string>",
"title": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_surname": "<string>",
"emergency_contact_phone_number": "<string>",
"blood_group": "<string>",
"language": [
"<string>"
],
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"role_ids": [
123
]
}
'{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_surname": "<string>",
"emergency_contact_phone_number": "<string>",
"blood_group": "<string>",
"language": [
"<unknown>"
],
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"last_login_at": "2023-11-07T05:31:56Z",
"last_login_ip": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"roles": [
{
"id": 123,
"name": "<string>"
}
]
}
}